Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Accumulate_Consumer_Headers Class Reference

`#include <EC_ObserverStrategy.h>`

Inheritance diagram for TAO_EC_Accumulate_Consumer_Headers:

[legend]
Collaboration diagram for TAO_EC_Accumulate_Consumer_Headers:

[legend]
List of all members.

## Public Methods
| TAO_EC_Accumulate_Consumer_Headers (TAO_EC_Basic_ObserverStrategy::Headers &headers)
| Constructor.
virtual void | work (TAO_EC_ProxyPushConsumer *consumer ACE_ENV_ARG_DECL)
## Private Attributes
TAO_EC_Basic_ObserverStrategy::Headers & | headers_

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Accumulate_Consumer_Headers::TAO_EC_Accumulate_Consumer_Headers | ( | TAO_EC_Basic_ObserverStrategy::Headers & | headers | ) |

| Constructor.

## Member Function Documentation

void TAO_EC_Accumulate_Consumer_Headers::work | ( | TAO_EC_ProxyPushConsumer *consumer | ACE_ENV_ARG_DECL | ) | `[virtual]`

## Member Data Documentation

TAO_EC_Basic_ObserverStrategy::Headers& TAO_EC_Accumulate_Consumer_Headers::headers_`[private]`

The documentation for this class was generated from the following files:

- EC_ObserverStrategy.h
- EC_ObserverStrategy.cpp
- EC_ObserverStrategy.i